Last Comment Bug 721350 - Style Editor auto-scroll to the selected style sheet is annoying
: Style Editor auto-scroll to the selected style sheet is annoying
Status: RESOLVED FIXED
[styleeditor][qa+][qa!:11]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Style Editor (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 12
Assigned To: Cedric Vivier [:cedricv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-26 04:46 PST by Cedric Vivier [:cedricv]
Modified: 2012-02-22 07:18 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
patch v1 (1.03 KB, patch)
2012-01-26 05:13 PST, Cedric Vivier [:cedricv]
paul: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
Patch v1 - rebased for Aurora (961 bytes, patch)
2012-01-30 05:11 PST, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review

Description Cedric Vivier [:cedricv] 2012-01-26 04:46:31 PST
The Style Editor should not scroll the list when the style sheet is selected because of a direct user click.
Comment 1 Cedric Vivier [:cedricv] 2012-01-26 05:13:25 PST
Created attachment 591758 [details] [diff] [review]
patch v1

It shouldn't be too hard to review.
Comment 2 Paul Rouget [:paul] 2012-01-26 06:42:25 PST
https://hg.mozilla.org/integration/fx-team/rev/d5ceec63ef0a
Comment 3 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-01-27 02:29:39 PST
https://hg.mozilla.org/mozilla-central/rev/d5ceec63ef0a
Comment 4 Paul Rouget [:paul] 2012-01-27 05:21:42 PST
Comment on attachment 591758 [details] [diff] [review]
patch v1

[Approval Request Comment]
Regression caused by (bug #): Not a regression, new feature.
User impact if declined: Bad user experience.
Testing completed (on m-c, etc.): on m-c.
Risk to taking this patch (and alternatives if risky): very very low. One JS line removed.
Comment 5 Alex Keybl [:akeybl] 2012-01-29 17:22:34 PST
Comment on attachment 591758 [details] [diff] [review]
patch v1

[Triage Comment]
Low risk fix in support of a new feature. Approved for Aurora.
Comment 6 Paul Rouget [:paul] 2012-01-30 05:11:28 PST
Created attachment 592664 [details] [diff] [review]
Patch v1 - rebased for Aurora
Comment 8 Simona B [:simonab ] -PTO- back Sept 5th 2012-02-22 07:18:35 PST
Verified using Firefox 11 beta 3 on Windows 7, Ubuntu 11.10 and Mac OS X 10.6.

Mozilla/5.0 (Windows NT 6.1; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (X11; Linux i686; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0) Gecko/20100101 Firefox/11.0

The Style Editor does not scroll the list when the style sheet is selected by direct user click.

Note You need to log in before you can comment on or make changes to this bug.